/**
 * @package css-modules-types-loader
 * @license MIT
 * @version 0.6.7
 * @author nuintun <nuintun@qq.com>
 * @description A webpack loader that dynamically generates TypeScript typings for CSS modules from css-loader.
 * @see https://github.com/nuintun/css-modules-types-loader#readme
 */

import { Piscina } from 'piscina';

/**
 * @module index
 */
const piscina = new Piscina({
  filename: new URL('./generate.js', import.meta.url).href
});
/**
 * @function generate
 * @param options Optional options for file generation.
 */
function generate(options) {
  return piscina.run(options);
}

export { generate };
